using System;

internal sealed class Delegate124 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate124 delegate124_1)
	{
		return delegate124_1(object_0);
	}

	public extern Delegate124(object object_0, IntPtr intptr_0);

	static Delegate124()
	{
		Class10.smethod_13(typeof(Delegate124).TypeHandle);
	}

	internal static Delegate124 delegate124_0;
}
